{
	"format_version": "1.21.20",
	"minecraft:block": {
		"description": {
			"identifier": "lv_te:manual_ore_extractor",
			"menu_category": {
				"category": "construction"
			},
			"traits": {
				"minecraft:placement_direction": {
					"enabled_states": [
						"minecraft:cardinal_direction"
					]
				}
			},
			"states": {
				"lv_te:fill": [
					1,
					2,
					3,
					4,
					5,
					6,
					7,
					8
				]
			}
		},
		"components": {
			"minecraft:tick": {
				"interval_range": [40, 40],
				"looping": true
			},
			"minecraft:destructible_by_mining": true,
			"minecraft:collision_box": true,
			"minecraft:selection_box": true,
			"minecraft:geometry": {
				"identifier": "geometry.lv_te.manual_ore_extractor",
				"bone_visibility": {
					"2": "q.block_state('lv_te:fill') == 2",
					"3": "q.block_state('lv_te:fill') == 3",
					"4": "q.block_state('lv_te:fill') == 4",
					"5": "q.block_state('lv_te:fill') == 5",
					"6": "q.block_state('lv_te:fill') == 6",
					"7": "q.block_state('lv_te:fill') == 7",
					"8": "q.block_state('lv_te:fill') == 8"
				}
			},
			"minecraft:custom_components": [
				"lv_te:manual_ore_extractor"
			],
			"minecraft:material_instances": {
				"*": {
					"texture": "lv_te:manual_ore_extractor",
					"render_method": "alpha_test"
				}
			}
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'north'",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							180,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'south' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'east' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							90,
							0
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:cardinal_direction') == 'west' ",
				"components": {
					"minecraft:transformation": {
						"rotation": [
							0,
							-90,
							0
						]
					}
				}
			}
		]
	}
}